Package org.apache.sling.query.impl.iterator.tree

## Class DfsTreeIterator<T>

- java.lang.Object
- - org.apache.sling.query.impl.iterator.AbstractIterator<T>
  - - org.apache.sling.query.impl.iterator.tree.DfsTreeIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

    public class DfsTreeIterator<T>
    extends AbstractIterator<T>

### Constructor Summary

Constructors
`DfsTreeIterator​(T root, org.apache.sling.query.api.internal.TreeProvider<T> provider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected T` `getElement()`

### Methods inherited from class org.apache.sling.query.impl.iterator.AbstractIterator

`hasNext, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### DfsTreeIterator

    public DfsTreeIterator​(T root,
                           org.apache.sling.query.api.internal.TreeProvider<T> provider)

### Method Detail

#### getElement

    protected T getElement()

Specified by:
  `getElement` in class `AbstractIterator<T>`